Name: deluge
Version: 1.0.2
Release: alt1

Summary: is a full-featured BitTorrent client
License: GPL
Group: Networking/File transfer
Url: http://deluge-torrent.org
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: http://download.deluge-torrent.org/source/%version/%name-%version.tar.bz2
# Fix link with librt
Patch0: rtlink.patch
# Workaround gcc-c++ bug
Patch1: %name-%version-alt-gcc41-workaround.patch

Requires(post,postun): desktop-file-utils

BuildPreReq: rpm-build-gnome desktop-file-utils

BuildRequires: gcc-c++ python-dev python-module-dbus-devel python-module-pygtk-devel
BuildRequires: python-module-notify librsvg-devel python-module-pyxdg boost-devel
BuildRequires: subversion boost-python-devel libssl-devel python-module-setuptools
BuildRequires: boost-filesystem-devel boost-asio-devel librsvg-utils

%description
Deluge is a full-featured BitTorrent client for Linux, Mac OS X and Windows. It uses libtorrent in it's backend and PyGTK for it's user interface.
Deluge features a rich plugin collection; in fact, most of Deluge's functionality is available in the form of plugins.
Deluge was created with the intention of being lightweight and unobtrusive. It is our belief that downloading shouldn't be the primary task on your computer and therefore shouldn't monopolize system resources.
Deluge is not designed for any one desktop environment and will work just fine in GNOME, KDE, XFCE and others.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
python setup.py build

%install
python setup.py install --root=%buildroot
rm -f %buildroot%_datadir/pixmaps/*

%find_lang %name

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%_libdir/python*/site-packages/%name
%_libdir/python*/site-packages/%name-%version-py*
%_bindir/%{name}*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_iconsdir/hicolor/22x22/apps/*
%_iconsdir/hicolor/96x96/apps/*
%_iconsdir/hicolor/64x64/apps/*
%_iconsdir/hicolor/72x72/apps/*
%_iconsdir/hicolor/256x256/apps/*
%_iconsdir/hicolor/24x24/apps/*
%_iconsdir/hicolor/128x128/apps/*
%_iconsdir/hicolor/192x192/apps/*
%_iconsdir/hicolor/36x36/apps/*
%_iconsdir/scalable/apps/*
%_desktopdir/%name.desktop

%doc LICENSE ChangeLog README

%changelog
* Mon Oct 13 2008 Vladimir Lettiev <crux@altlinux.ru> 1.0.2-alt1
- new version
- applied patch from Ivan A. Melnikov (iv@) to fix build with new
  boost and old gcc (workaround gcc-c++ bug #33094)
- removed patch for boost lib detection logic (merged in upstream)
- updated bosts's dependencies
- removed icon from pixmaps dir

* Tue Sep 23 2008 Vladimir Lettiev <crux@altlinux.ru> 1.0.0-alt2
- Fix build on x86_64 (patch from deluge trac ticket #503)

* Mon Sep 22 2008 Vladimir Lettiev <crux@altlinux.ru> 1.0.0-alt1
- Initial build for Sisyphus

